This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 327801 - libgdiplus fails to compile under Fedora 8
Summary: libgdiplus fails to compile under Fedora 8
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libgdiplus (Show other bugs)
(Show other bugs)
Version: 8
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-11 15:29 UTC by Doug Chapman
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-12 03:33:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to include ctype.h (492 bytes, patch)
2007-10-11 15:29 UTC, Doug Chapman
no flags Details | Diff

Description Doug Chapman 2007-10-11 15:29:36 UTC
Description of problem:
When compiling the libgdiplus from srpm on Fedora 8 it fails on one file since
ctype.h is not included in a source file where it is using isspace().  I am
running into this while attempting to bring up Fedora on ia64 however I imagine
this issue would not be arch specific.

A patch is attached.


Version-Release number of selected component (if applicable):
libgdiplus-1.2.4-1.fc8.src.rpm


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Doug Chapman 2007-10-11 15:29:36 UTC
Created attachment 224471 [details]
patch to include ctype.h

Comment 2 Matthias Clasen 2007-10-12 03:33:07 UTC
1.2.5 has been built in koji earlier today, so I guess this has been taken care
of in some way


Note You need to log in before you can comment on or make changes to this bug.